Package twisted :: Package conch :: Package ssh :: Module session :: Class SSHSessionProtocol

[show private | hide private]
[frames | no frames]

## Class SSHSessionProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
    BaseProtocol --+   |
                   |   |
     ProcessProtocol --+
                       |
                      SSHSessionProtocol

Method Summary
| `__init__(self, session, client)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| ``errConnectionLost`(self)` This will be called when stderr is closed. (inherited from `ProcessProtocol`)
| `errReceived(self, err)`
| ``inConnectionLost`(self)` Called when stdin is shut down. (inherited from `ProcessProtocol`)
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| ``outConnectionLost`(self)` Called when stdout is shut down. (inherited from `ProcessProtocol`)
| ``outReceived`(self, data)` Called whenever data is received.
| ``outReceived`(self, data)` Some data was received from stdout. (inherited from `ProcessProtocol`)
| ``processEnded`(self, reason)` This will be called when the subprocess is finished.

Method Details

### connectionLost(self, reason=None)

Called when the connection is shut down.

Clear any circular references here, and any external references to this Protocol. The connection has been closed.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.Protocol.connectionLost` (inherited documentation)

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.
  Overrides:
    `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

### outReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.
  Overrides:
    `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

### processEnded(self, reason=None)

This will be called when the subprocess is finished.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ProcessProtocol.processEnded` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:18:19 2003 | http://epydoc.sf.net